textures/SoD/dirt
{
        qer_editorimage textures/SoD/dirt.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sod/pondrock.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/pondgr.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sod/window
{
		q3map_surfacelight 1000
	{	
		map textures/sod/window.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/sod/window.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/SoD/greeny
{
        qer_editorimage textures/SoD/greeny.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sod/pondrock.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/grass.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/terrain_example/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sod/malsky
{
	qer_editorimage textures/sod/sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunext 1 .45 .25 198 72 24 3 16
	q3map_skylight 110 4
	skyparms env/sod/mal - -
}

textures/sod/grasswork
{
        qer_editorimage textures/sod/center
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/sod/grass_dead.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/grass_green_al.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sod/grassdead
{
        qer_editorimage textures/SoD/grass_green.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sod/grass_green_al.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/grass_dead_al.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/SoD/sand1
{
        qer_editorimage textures/SoD/sand1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sod/sand22.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/sand11.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/SoD/sand2
{
        qer_editorimage textures/SoD/sand2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sod/sand22.tga	// Primary
		rgbGen identity
	}
	{
		map textures/sod/sand11.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sod/dallas3
{
	qer_editorimage textures/sod/dallas3.tga
	//light 1
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 12000
	{
		map textures/sod/dallas3.tga
		rgbGen identity
	}
}

textures/sod/dallas4
{
	qer_editorimage textures/sod/dallas3.tga
	//light 1
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 100
	{
		map textures/sod/dallas3.tga
		rgbGen identity
	}
}

textures/sod/light1
{
	qer_editorimage textures/sod/sublight.tga
	//light 1
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500
	{
		map textures/sod/sublight.tga
		rgbGen identity
	}
}

textures/sod/dallas1
{
	qer_editorimage textures/sod/dallas1.tga
	//light 1
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500
	{
		map textures/sod/dallas1.tga
		rgbGen identity
	}
}

textures/null_beach/water_temp_fx
{
	qer_editorimage textures/null_beach/water_ripples.tga
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	//cull none
	q3map_noFog
	q3map_cloneshader textures/null_beach/water_temp_fx_2
	//sort 5
	{
		map textures/null_beach/water_ripples2.tga
		blendfunc blend
		tcmod scroll 0 0.01
		tcmod turb 0 0.5 0.75 0.02
		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
		//alphagen const 0.75
	}
	{
		map textures/null_beach/water_ripples2.tga
		blendfunc blend
		tcmod scroll 0 0.012
		tcmod turb 0 0.5 0.25 0.025
		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
		//alphagen const 0.75
	}
	{
		//map textures/null_beach/env/sky_dn.tga
		map $whiteimage
		rgbgen const ( 0.749019 0.7098039 0.6078431 )
		alphagen oneminusvertex
		blendfunc blend
	}
}

textures/ut_ftdicks/gate
{
	qer_editor_image textures/ut_ftdicks/gate.tga
	qer_trans 0.40
	cull disable
	{
		map textures/ut_ftdicks/gate.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sod/lolivy
{
	qer_editorimage textures/sweetnutz/sn_ivy.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bounce .1	
	q3map_vertexScale 2
	deformVertexes wave 9 sin 0 .7 0 .4

	{
		map textures/sweetnutz/sn_ivy.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sod/lolvine
{
qer_editorimage textures/sockter/vine06.tga
surfaceparm alphashadow
q3map_vertexScale 1.5
surfaceparm trans
surfaceparm nonsolid
surfaceparm nomarks
cull none
nopicmip
{
map textures/sockter/vine06.tga
rgbGen vertex
depthWrite
alphaFunc GE128		
}	
}



